'use client'
import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import CloseSection from "@/feature/messenger/components/ui/buttons/CloseSection";

export default function DocumentsSection() {
    const leftSidebarState = ChatConfigContext(state => state.leftSidebar);
    const showLeftSidebar = leftSidebarState === "documents" ? 'flex' : 'hidden'; 

    return (
        <div className={`${showLeftSidebar} flex-col w-full min-w-96 md:w-1/4 lg:h-auto lg:flex-shrink-0 h-screen border-r-1 border-gray-100 z-10`}>
            <header className="flex justify-between items-center p-5">
                <div>
                    <h1 className="text-2xl font-bold">Documents</h1>
                </div>
                <div>
                    <CloseSection leftSidebarProp={LeftSidebarType.CHAT} />
                </div>
            </header>
            {/* Sidebar content */}
            <div className="p-5">
                Content
            </div>
        </div>
    )
}